
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>基于PHP输出缓存(output_buffering)的深入理解_php技巧 / iVAN</title>

    <meta name="description" content="基于PHP输出缓存(output_buffering)的深入理解_php技巧 首先明确一下PHP的输出顺序1.打开了php输出缓存: echo,print -&gt; php output_buffring -&gt; server buffering -&gt; browser buffering -&gt; browser display2.未打开php输出缓存: echo,print -&gt; server buffering -&gt; browser buffering -&gt; browser display 另外明确一下浏览器的输出缓存:IE为256By ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">基于PHP输出缓存(output_buffering)的深入理解_php技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>首先明确一下PHP的输出顺序<br /></strong>1.打开了php输出缓存: echo,print -&gt; php output_buffring -&gt; server buffering -&gt; browser buffering -&gt; browser display<br />2.未打开php输出缓存: echo,print -&gt; server buffering -&gt; browser buffering -&gt; browser display</p>
<p>另外明确一下浏览器的输出缓存:IE为256Bytes, Chrome与FireFox为1000Bytes,只有输出数据达到了这个长度或者脚本结束浏览器才会将数据输出在页面上</p>
<p><strong>再来说说用到的几个PHP设置和API:<br />1.php.ini中的output_buffering配置<br /></strong>•Off: 表示关闭PHP输出缓存<br />•On: 打开无限大的输出缓存<br />•4096: 打开大小为4096Byte的输出缓存</p>
<p><strong>2.php.ini中的implicit_flush配置<br /></strong>•On: 表示每次输出(如echo,print)后自动调用flush()函数后,直接输出<br />•Off: 与On相反,每次输出后不会调用flush(),需要等到server buffering满了才会输出,但是我们可以用flush()函数代替它,不开启也没关系,反而更加灵活</p>
<p><strong>3.ob_flush()函数: 取出PHP buffering中的数据,放入server buffering</p>
<p>4.flush()函数: 取出Server buffering的数据,放入browser buffering<br /></strong><br /><strong>5.ob_start()函数:</strong>对于这个函数我现在了解的不是很清楚,因为开启后输出就会不受ob_flush()控制,即使使用ob_flush()和flush(),数据也不能立即输出在浏览器上.现在知道的是,如果output_buffering=Off,即使使用了ob_start(),也是无法将输出数据缓存的,而如果output_buffering=On的话,即使不用ob_start(),输出数据也可以被PHP缓存,所以觉得ob_start比较废,暂时不管他<br /> <br />然后我们来看代码吧(设置output_buffering=4096,implicit_flush=Off)</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;html&gt;<br />     &lt;body&gt;<br />         &lt;?php<br />             // ob_start();    //这玩意开了就会不正常,输出不受ob_flush()控制,不知道到底干嘛用<br />             // echo str_repeat(' ' ,1000);    //IE缓存256Bytes<br />             echo str_repeat(' ' ,1000);    //Chrome和FF缓存1000Bytes,这里用来先将浏览器缓存用掉,但是很疑惑这一行输出为什么没有被output_buffering存起来,而是直接输出了<br />             for($i=0;$i&lt;5;$i++) {<br />                 echo $i.'&lt;br /&gt;';<br />                 ob_flush();<br />                 flush();<br />                 sleep(1);<br />             }<br />         ?&gt;<br />     &lt;/body&gt;<br /> &lt;/html&gt;</p>
<p>这里代码输出结果是一行一行输出的,具体原理大家参考一下ob_flush()和flush()函数的功效<br />这两个函数缺了任何一个在我这种设置下都是要等到 0, 1, 2, 3, 4都缓存起来后最后一起输出<br />最后引用一段Laruence的一段blog,希望对大家的理解有帮助<br />
<br />ob_flush/flush在手册中的描述, 都是刷新输出缓冲区, 并且还需要配套使用, 所以会导致很多人迷惑…</p>
<p>其实, 他们俩的操作对象不同, 有些情况下, flush根本不做什么事情..</p>
<p>ob_*系列函数, 是操作PHP本身的输出缓冲区.</p>
<p>所以, ob_flush是刷新PHP自身的缓冲区.</p>
<p>而flush, 严格来讲, 这个只有在PHP做为apache的Module(handler或者filter)安装的时候, 才有实际作用. 它是刷新WebServer(可以认为特指apache)的缓冲区.</p>
<p>在apache module的sapi下, flush会通过调用sapi_module的flush成员函数指针, 间接的调用apache的api: ap_rflush刷新apache的输出缓冲区, 当然手册中也说了, 有一些apache的其他模块, 可能会改变这个动作的结果..<br />1.有些Apache的模块，比如mod_gzip，可能自己进行输出缓存，<br />2.这将导致flush()函数产生的结果不会立即被发送到客户端浏览器。<br />3. <br />4.甚至浏览器也会在显示之前，缓存接收到的内容。例如 Netscape<br />5.浏览器会在接受到换行或 html 标记的开头之前缓存内容，并且在<br />6.接受到 &lt;/table&gt; 标记之前，不会显示出整个表格。<br />7. <br />8.一些版本的 Microsoft Internet Explorer 只有当接受到的256个<br />9.字节以后才开始显示该页面，所以必须发送一些额外的空格来让这<br />10.些浏览器显示页面内容。<br /><strong>所以, 正确使用俩者的顺序是. 先ob_flush, 然后flush,<br /></strong>当然, 在其他sapi下, 不调用flush也可以, 只不过为了保证你代码的可移植性, 建议配套使用.</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-24 14:33:12</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/output_buffering/" title="output&lowbar;buffering">output&lowbar;buffering</a>, <a href="https://www.iamivan.net/tag/php%e7%bc%93%e5%86%b2/" title="php缓冲">php缓冲</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>基于PHP输出缓存(output_buffering)的深入理解_php技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOl31kb.html" rel="bookmark">控制PHP的输出：缓存并压缩动态页面&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				mod_gzip是一个Apache模块,其功能是使用Gzip压缩静态的html页面,遵循IETF标准的浏览器可以接受gzip编码(IE, Netscape等).mod_gzip可以将页面的下载时间提高4-5倍.我强烈建议你在你的web服务器上使用mod_gzip.然而,我们还必须用PHP建立我们自己的压缩引擎.在这篇文章里,我将要介绍如何使用PHP的输出控制函数来大幅加速页面载入速度. 介绍PHP的输出控制函数 PHP4中最令人满意的事是--你可以让PHP缓存所有由脚本生成的输出,在你决定把它们			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmVdNqz.html" rel="bookmark">解决asp&period;net Sharepoint无法连接发布自定义字符串处理程序&comma;不能进行输出缓存处理的方法&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述: 无法连接发布自定义字符串处理程序,不能进行输出缓存处理.IIS 实例 ID 为&quot;1772638466&quot;, URL 为&quot;http://XXXX.XXX.XXX/EnglishWorld/Default.aspx&quot;. 有关更多信息,请参阅在 http://go.microsoft.com/fwlink/events.asp 的帮助和支持中心. 在系统日志大片出现(除了URL不同),但貌似对系统没什么影响,能正常使用. 此问题不会影响正常使用,但日志很快就满了			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MR77X3p.html" rel="bookmark">PHP使用缓存即时输出内容&lpar;output buffering&rpar;的方法&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				PHP使用缓存即时输出内容(output buffering)的方法.分享给大家供大家参考.具体如下: $buffer = ini_get('output_buffering'); echo str_repeat(' ',$buffer+1); //防止浏览器缓存 ob_end_flush(); //关闭缓存 for( $i=1; $i&lt;=10; $i++ ){ echo '第 '.$i.' 次输出.'.&quot;&lt;br /&gt;\n&quot;; flush(); //刷新缓存(直接发送			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBgXB4M.html" rel="bookmark">PHP 数组遍历顺序理解&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				比如: &lt;?php$arr['laruence'] = 'huixinchen';$arr['yahoo']    = 2007;$arr['baidu']    = 2008;foreach ($arr as $key =&gt; $val) {//结果是什么?} 又比如: &lt;?php$arr[2] = 'huixinchen';$arr[1]  = 2007;$arr[0]  = 2008;foreach ($arr as $key =&gt; $val) {//现在结果又是什么?} 要完			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxodDPb.html" rel="bookmark">基于header的一些常用指令详解&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				header常用指令header分为三部分:第一部分为HTTP协议的版本(HTTP-Version):第二部分为状态代码(Status):第三部分为原因短语(Reason-Phrase). // fix 404 pages:   用这个header指令来解决URL重写产生的404 headerheader('HTTP/1.1 200 OK');   // set 404 header:   页面没找到header('HTTP/1.1 404 Not Found');   //页面被永久删除,可以			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBkkv4M.html" rel="bookmark">简介PHP的Yii框架中缓存的一些高级用法&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				页面缓存页面缓存指的是在服务器端缓存整个页面的内容.随后当同一个页面被请求时,内容将从缓存中取出,而不是重新生成. 页面缓存由 yii\filters\PageCache 类提供支持,该类是一个过滤器.它可以像这样在控制器类中使用: public function behaviors() { return [ [ 'class' =&gt; 'yii\filters\PageCache', 'only' =&gt; ['index'], 'duration' =&gt; 60, 'variations'			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvY931b.html" rel="bookmark">php实现网页缓存的工具类分享&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				php程序在抵抗大流量访问的时候动态网站往往都是难以招架,所以要引入缓存机制,一般情况下有两种类型缓存 一.文件缓存 二.数据查询结果缓存,使用内存来实现高速缓存 本例主要使用文件缓存. 主要原理使用缓存函数来存储网页显示结果,如果在规定时间里再次调用则可以加载缓存文件. 工具类代码: // 文件缓存类 class Cache { /** * $dir : 缓存文件存放目录 * $lifetime : 缓存文件有效期,单位为秒 * $cacheid : 缓存文件路径,包含文件名 * $ext :			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5QdZAp.html" rel="bookmark">基于wordpress主题制作的具体实现步骤&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				复制代码 代码如下: &lt;?php/*在根目录 -&gt; wp-content -&gt; themes 下创建mytheme文件夹用来存放创建新主题模板 在mytheme目录下创建 index.php ,style.css 两个文件,在wp后台 外观-&gt;主题 中就可以看到刚创建的主题 打开style.css文件输入*/?&gt;/*Theme Name: 这里填主题名称Theme URI: 这里填主题介绍的网址,没有就填你的博客网址吧Description:这里填主题的简短介绍Author:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z44d01z.html" rel="bookmark">php全局变量和类配合使用深刻理解&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				情况1: father.php如下定义: 复制代码 代码如下: &lt;?php $jack = 1000; ?&gt; children.php 如下定义: &lt;?php require(&quot;father.php&quot;); $jack=123; echo $jack.&quot;/n&quot;; ?&gt; php children.php 运行输出为123. 如果将$jack=123注释掉,运行为1000,如果将$jack=123放到require(&quot;father.php			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9Mxl3QM.html" rel="bookmark" class="title">Sqlserver常用的时间函数---GETDATE、GETUTCDATE、DATENAME</a>
					<div>
						server|sqlserver|函数 Sqlserver常用的时间函数---GETDATE.GETUTCDATE.DATENAME Sqlserver常用的时间函数---GETDATE.GETUTC ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Xpmyx1p.html" rel="bookmark" class="title">vbscript函数集</a>
					<div>
						vbscript|函数 1.函数array() 功能:创建一个数组变量 格式:array(list) 参数:list 为数组变量中的每个数值列,中间用逗号间隔 例子: &lt;% i = array  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM93Kvz.html" rel="bookmark" class="title">调试 ASP 中使用的 Visual Basic COM 组件</a>
					<div>
						概要本分步指南介绍了如何调试(或逐步执行)在 Active Server Pages (ASP) 页中使用的 Microsoft Visual Basic (VB) 组件对象模型 (COM) 组件.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqL7Qkb.html" rel="bookmark" class="title">桌面虚拟化中的PCoIP访问协议会话统计功能</a>
					<div>
						在近期发布的VMware view 5.0产品中,对PCoIP协议的一个很重要的增强就是新增了会话统计功能.通过这个功能,管理员及最终用户可以更好的了解在实际使用过程中相关的数据统计信息,如网络带宽占 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62ayoM.html" rel="bookmark" class="title">一个独立的通用分页控件c&num;源码</a>
					<div>
						用户可以方便地改换显示控件.改变分页控件本身的外观.例如,在图一中,和分页控件协作的显示控件可发换成一个DataGrid控件,页面编号链接和四个导航按钮分两行显示. ASP.NET 支持创建定制Web ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRy3A3b.html" rel="bookmark" class="title">通过CLR同步SQL Server和Sharepoint List数据（二）</a>
					<div>
						写在前面 本系列文章一共分为四部分: 1. CLR概述. 2. 在Visual Studio中进行CLR集成编程并部署到SQL Server,包括存储过程 .触发器.自定义函数.自定义类型和聚合. 3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2DnJb.html" rel="bookmark" class="title">ADSL常见问题和故障</a>
					<div>
						1．ADSL常见问题 经典故障 ADSL是运行在原有电话线上的一种高速宽带上网方式,它具有节省投资.上网速度快.安装简单等优点.目前很多局域网尤其是网吧都使用这种方式.当然用这种方式上网的故障也比较多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnqQmz.html" rel="bookmark" class="title">局域网中一台电脑无法在&OpenCurlyDoubleQuote;网上邻居&rdquo;中看见其他电脑</a>
					<div>
						  故障现象:某小网吧局域网中,其中20号电脑无法在&quot;网上邻居&quot;中看见其他电脑,其他电脑也无法看见20号电脑.但其他电脑可以在&quot;网上邻居&quot;中互相看见.   故障 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGxy5p.html" rel="bookmark" class="title">Win7系统怎么修改跳转列表数目</a>
					<div>
						  1.首先我们要用鼠标右键点击打开&quot;开始菜单&quot;,然后选中&quot;属性&quot;; 列表数目-ios10 跳转系统设置&quot;&gt; 2.打开任务栏和开始菜单属性界面之 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGyqdp.html" rel="bookmark" class="title">电脑前面耳机没声音怎么办</a>
					<div>
						  相信不少朋友可能都遇到过电脑前面耳机没声音但电脑主机后面却正常情况,这个问题从电脑百事网上线至今有过不少朋友问过,由于解决方法比较简单,所以一直也没写出来,不过最近又有不少朋友遇到电脑前面耳机插孔 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YR65M.html" rel="bookmark" class="title">基于Android如何实现将数据库保存到SD卡&lowbar;Android</a>
					<div>
						有时候为了需要,会将数据库保存到外部存储或者SD卡中(对于这种情况可以通过加密数据来避免数据被破解),比如一个应用支持多个数据,每个数据都需要有一个对应的数据库,并且数据库中的信息量特别大时,这显然更 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrYqrM.html" rel="bookmark" class="title">ios-设置CCSprite的框架解答</a>
					<div>
						问题描述 设置CCSprite的框架解答 需要使用CCSprite以多种尺寸显示图片.通常添加到CCSprite的图片都有固定的宽高.有没有方法能让我像下面代码一样,不用一开始手动设置图片的尺寸.然后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QAKAp.html" rel="bookmark" class="title">剑指offer系列之四十二：约瑟夫环问题</a>
					<div>
						题目描述 每年六一儿童节,NowCoder都会准备一些小礼物去看望孤儿院的小朋友,今年亦是如此.HF作为NowCoder的资深元老,自然也准备了一些小游戏.其中,有个游戏是这样的:首先,让小朋友们围成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgV1m1b.html" rel="bookmark" class="title">myeipe中启动tomcat&comma;http&colon;&sol;localhost&colon;8080空白页</a>
					<div>
						问题描述 myeipe中启动tomcat,http:/localhost:8080空白页 (http://img.ask.csdn.net/upload/201506/24/1435110944_91 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRwY6b.html" rel="bookmark" class="title">php-PHP上传文件的问题&dollar;&lowbar;FILES&lbrack;&amp;amp&semi;amp&semi;&num;39&semi;file&amp;amp&semi;amp&semi;&num;39&semi;&rsqb;&lbrack;&amp;amp&semi;amp&semi;&num;39&semi;error&amp;amp&semi;amp&semi;&num;39&semi;&rsqb;</a>
					<div>
						问题描述 PHP上传文件的问题$_FILES['file']['error'] 这段时间一直在啃&lt;Head First PHP &amp; MySQL&gt;,这本书非常好,一步步教授怎么开发一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mydy7db.html" rel="bookmark" class="title">iOS基础教程：在建好的项目中加入CoreData&lbrack;转&rsqb;</a>
					<div>
						这几天在做一个ios的小项目,项目中需要对数据进行基本的增删改查操作.于是就想用一把CoreData.但在创建项目初期,没有包含进CoreData.于是就在已建好的项目中加入CoreData.由于第一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40mOYz.html" rel="bookmark" class="title">C&num;的一个奇葩Buge</a>
					<div>
						问题描述 程序运行到这里的时候居然跳出了个异常,真是搞不懂了,求大神赐教 解决方案 解决方案二:丢出什么异常?什么都不说鬼才知道.解决方案三:目测recognizerinfo对象是null,你调用了I ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Za3rp.html" rel="bookmark" class="title">互联网电视乱花迷人眼 标准缺乏厂家各说各</a>
					<div>
						眼下互联网电视无疑是彩电业中的热点,厂商纷纷扎堆.家电卖场内,推销员也在卖力吆喝互联网电视,有的标榜能看网上高清电影,有的表示能看网上的文字资讯和股票信息,有的称能进行在线教育--千变万化的说辞让消费 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0WjQM.html" rel="bookmark" class="title">Linux性能优化3&period;3　本章小结</a>
					<div>
						3.3 本章小结 本章重点关注了系统级内存性能衡量指标.这些指标主要展示的是操作系统是如何使用内存而不是特定的应用程序. 本章说明了性能工具(如sar和vmstat)如何被用于从运行系统中提取其系统级 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAE6ZQM.html" rel="bookmark" class="title">《来自星星的你》爱奇艺PPS播放完爆《继承者们》</a>
					<div>
						由全智贤.金秀贤主演的韩国SBS人气电视剧&lt;来自星星的你&gt;更新过半,播放量持续飙升.2月8日最新数据显示,这部大热剧集在爱奇艺.PPS双平台播放总量已破5亿,成为史上第一部百度指数破200 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRmaZp.html" rel="bookmark" class="title">4G＋、高速宽带时代 运营商破局在即</a>
					<div>
						从百兆宽带到4G+,基础网络的不断迭代更新成为运营商最硬的未来市场.在这个充满想象力的未来网络上,承载的将是&quot;互联网+&quot;.物联网.云计算.智能制造等一系列超级市场,所以归根结底,4 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwgmmM.html" rel="bookmark" class="title">懒家伙网超发布暂时性关闭公告</a>
					<div>
						公告截图 [亿邦动力网讯]10月11日消息,亿邦动力网独家获知,B2C网站懒家伙网上超市在首页发布公告,表示由于产业调整,懒家伙网超暂时关闭,重启之日另行通知. 此外,公告中显示,对于欠发票的客户,懒 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYKa9b.html" rel="bookmark" class="title">为什么要控制链接的增长频率呢？</a>
					<div>
						摘要: 首先,我们思考下:为什么要控制链接的增长频率呢?链接发的越多越好吗?机遇和风险是并存的,链接多可以推动关键词的排名周期,但是也会给关键排名 周期大大的延长.有很多的 首先,我们思考下:为什么要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYqrAb.html" rel="bookmark" class="title">iOS App通信之local socket示例&lowbar;IOS</a>
					<div>
						之前看到一篇文章介绍到App之间的五种通信方式,它分别有URL Scheme,Keychain,UIPastedboard,UIDocumentInteractionController以及利用soc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR17JKb.html" rel="bookmark" class="title">使用jQuery清空file文件域的解决方案&lowbar;jquery</a>
					<div>
						般来说,在对一个文件域(input type=&quot;file&quot;)使用了验证后,我们总会希望把文件域中的值给清空了(否则错误的文件仍然会被提交),而在IE中,安全设置的原因,是不允许更改 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWnOdz.html" rel="bookmark" class="title">揭秘在ListView等AdapterView上动态添加删除项的陷阱&lowbar;Android</a>
					<div>
						如何避开在ListView等AdapterView上动态添加删除项的陷阱,下面就为大家分享,具体内容如下 首先,定义如下array资源,作为列表的加载内容: &lt;resources&gt; &lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2GyOz.html" rel="bookmark" class="title">JAVA比较两张图片相似度的方法&lowbar;java</a>
					<div>
						本文实例讲述了JAVA比较两张图片相似度的方法.分享给大家供大家参考.具体如下: 摘要: importjava.awt.image.BufferedImage; importjava.io.File; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1D2rb.html" rel="bookmark" class="title">WebSphere快速入门&lpar;15&rpar;</a>
					<div>
						5.4 JSP API    有两种接口支持 JSP 技术.这些 API 提供了一种将内容生成(业务逻辑)从内容演示(HTML 格式)中分离出来的方法.这种分离使 Servlet 能生成内容并将它(如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1lDGb.html" rel="bookmark" class="title">只有&OpenCurlyDoubleQuote;全&rdquo;才有&OpenCurlyDoubleQuote;安&rdquo;　网络安全问题在两会上受关注</a>
					<div>
						没有网络安全就没有国家安全!当前,网络在飞速发展的同时,也给国家安全.公众及个人安全带来巨大的威胁.在今年的全国&quot;两会&quot;上,网络安全问题成为代表委员们关注度较高的话题之一. 审视当 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0ORe7b.html" rel="bookmark" class="title">点单登出如何保证清除的是某一个具体用户的session？</a>
					<div>
						问题描述 在认证中心登出后,调用各个Web应用的登出接口,清除登出用户的session.问题是:如何调用,才能让Web应用知道清除哪个sessionid的session信息呢?用是在每次创建sessi ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
